Get a section composite image
Get a composite image of images in this section
Documentation Index
Fetch the complete documentation index at: https://plexapi.dev/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The token which identifies the user accessing the PMS. This can be either:
- A traditional access token obtained from plex.tv
- A JWT token obtained through the JWT authentication flow
JWT tokens provide better security with:
- Short-lived tokens (7 days expiration)
- Public-key cryptography (ED25519)
- Better clock synchronization
- Individual device revocation capability
Headers
Indicates the client accepts the indicated media types
application/json, application/xml An opaque identifier unique to the client
"abc123"
The name of the client product
"Plex for Roku"
The version of the client application
"2.4.1"
The platform of the client
"Roku"
The version of the platform
"4.3 build 1057"
A relatively friendly name for the client device
"Roku 3"
A potentially less friendly identifier for the device model
"4200X"
The device vendor
"Roku"
A friendly name for the client
"Living Room TV"
The marketplace on which the client application is distributed
"googlePlay"
Path Parameters
Section identifier
The update time of the image. Used for busting cache.
Query Parameters
A querystring-based filtering language used to select subsets of media. Can be provided as an object with typed properties for type safety, or as a string for complex queries with operators and boolean logic.
The query supports:
- Fields: integer, boolean, tag, string, date, language
- Operators: =, !=, ==, !==, <=, >=, >>=, <<= (varies by field type)
- Boolean operators: & (AND), , (OR), push/pop (parentheses), or=1 (explicit OR)
- Sorting: sort parameter with :desc, :nullsLast modifiers
- Grouping: group parameter
- Limits: limit parameter
Examples:
- Object format:
{type: 4, sourceType: 2, title: "24"}→type=4&sourceType=2&title=24 - String format:
type=4&sourceType=2&title==24- type = 4 AND sourceType = 2 AND title = "24" - Complex:
push=1&index=1&or=1&rating=2&pop=1&duration=10- (index = 1 OR rating = 2) AND duration = 10
See API Info section for detailed information on building media queries.
A querystring-based filtering language used to select subsets of media. When provided as an object, properties are serialized as a querystring using form style with explode.
Only the defined properties below are allowed. The object serializes to a querystring format like: type=4&sourceType=2&sort=duration:desc,index
{
"type": 4,
"sourceType": 2,
"sort": "duration:desc,index"
}Response
OK